## ros-dashing-lex-node 3.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(lex_node)


# Default to C++14
if (NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 14)
endif ()

if (CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
endif ()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(lex_common_msgs REQUIRED)
find_package(lex_common REQUIRED)
find_package(aws_common REQUIRED)
find_package(aws_ros2_common REQUIRED)

if (AWSSDK_FOUND)
    set(SERVICE lex)
    AWSSDK_DETERMINE_LIBS_TO_LINK(SERVICE OUTPUT)
    link_directories("${AWSSDK_LIB_DIR}")
endif ()

add_definitions(-DUSE_IMPORT_EXPORT)

set(LEX_LIBRARY_TARGET ${PROJECT_NAME}_lib)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
        include
        ${rclcpp_INCLUDE_DIRS}
        ${aws_ros2_common_INCLUDE_DIRS}
        ${AWSSDK_INCLUDE_DIRS}
        ${aws_common_INCLUDE_DIRS}
        ${lex_common_INCLUDE_DIRS}
)

add_library(${LEX_LIBRARY_TARGET}
        src/lex_node.cpp
        )

ament_target_dependencies(${LEX_LIBRARY_TARGET}
        rclcpp
        lex_common
        lex_common_msgs
        aws_common
        rosidl_typesupport_cpp
        aws_ros2_common
        )

target_link_libraries(${LEX_LIBRARY_TARGET}
        ${aws_common_LIBRARIES}
        ${rclcpp_LIBRARIES}
        ${aws_common_LIBRARIES}
        ${aws_ros2_common_LIBRARIES}
        ${lex_common_LIBRARIES}
        )

add_executable(${PROJECT_NAME} src/main.cpp)

ament_target_dependencies(${PROJECT_NAME}
    ${LEX_LIBRARY_TARGET}
    )

# specific order: dependents before dependencies
ament_target_dependencies(${PROJECT_NAME}
        ${LEX_LIBRARY_TARGET}
        lex_common
        )

target_link_libraries(${PROJECT_NAME} ${LEX_LIBRARY_TARGET} ${lex_common_LIBRARIES})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME} ${LEX_LIBRARY_TARGET}
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        # According to https://answers.ros.org/question/280127/ros2-ros2-run-package-executable-cannot-find-executable/
        # executables are now being installed to the library directory under project name
        RUNTIME DESTINATION lib/${PROJECT_NAME}
        )

## Mark cpp header files for installation
install(
        DIRECTORY include/
        DESTINATION include
        FILES_MATCHING PATTERN "*.h"
)

### Mark other files for installation (e.g. launch and bag files, etc.)
install(DIRECTORY launch/ DESTINATION share/${PROJECT_NAME}/launch)
install(DIRECTORY config/ DESTINATION share/${PROJECT_NAME}/config)

#############
## Testing ##
#############

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_cmake_gmock REQUIRED)
  ament_find_gmock()
  include_directories(${GMOCK_INCLUDE_DIRS})
  # find_package(ament_lint_auto REQUIRED)
  # ament_lint_auto_find_test_dependencies() TODO: fix linting issues.
  ament_add_gmock(test_lex_node
          test/lex_node_test.cpp
  )
  if(TARGET test_lex_node)
    target_include_directories(test_lex_node
      PRIVATE include
      PUBLIC ${GMOCK_INCLUDE_DIRS})

  target_link_libraries(test_lex_node ${LEX_LIBRARY_TARGET} ${GMOCK_LIBRARIES})
  endif()
endif()

ament_package()

=== debian/changelog ===
ros-dashing-lex-node (3.1.0-1bionic) bionic; urgency=high

  * Merge pull request #9 <https://github.com/aws-robotics/lex-ros2/issues/9> from aws-robotics/bump-version
    3.1.0
  * 3.1.0
  * Merge pull request #8 <https://github.com/aws-robotics/lex-ros2/issues/8> from aws-robotics/add-region-userid
    Allow setting region or user_id from env var or param
  * Allow setting region or user_id from env var or param
    - Allow launching this node with a specific aws region or user_id by
    setting ROS_AWS_REGION or LEX_USER_ID or passing them as parameters to
    the launch file.
  * Merge pull request #7 <https://github.com/aws-robotics/lex-ros2/issues/7> from aws-robotics/allow-config-change
    Allow specifying config_file and node_name
  * Make logging stream to stdout in code instead of env var
    - This is how the ros2/demos samples ensure that logs stream to stdout
    instead of buffering. Doing it this way will be more reliable than
    setting the env var in the launch file.
  * Allow specifying config_file and node_name
    - Add parameters to allow the user of this node to specify their own
    config file and node name.
  * Contributors: Tim Robinson

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 01 Nov 2019 00:00:00 -0000

ros-dashing-lex-node (3.0.0-1bionic) bionic; urgency=high

  * Merge pull request #5 <https://github.com/aws-robotics/lex-ros2/issues/5> from aws-robotics/version-bump
    Bump to version 3.0.0
  * Bump to version 3.0.0
  * Add launch dependencies
  * Allow undeclared parameters
  * Disable linting as a temporary measure
  * Add missing lint dependencies
  * Change ament_cmake_ros to ament_cmake
  * Add test depend on ament_cmake_gmock
  * Merge pull request #1 <https://github.com/aws-robotics/lex-ros2/issues/1> from aws-robotics/lex-dev
    Add lex ros2 implementation
  * Add gmock dependencies and reduce package version
  * Remove unnecessary launch file
    Also deletes unnecessary gtest init, gmock init takes care of it.
  * Add lex ros2 implementation
    **Summary**
    Creates readme for how to build lex ros2
    * ament_uncrustify reformat code
    * ament_cpplint formatting changes
    **Tests**
    Unit Tests
  * Contributors: AAlon, Avishay Alon, M M, M. M, Ross Desmond

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 06 Sep 2019 00:00:00 -0000

=== debian/control ===
Source: ros-dashing-lex-node
Section: misc
Priority: extra
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gmock, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-aws-common (>= 2.0.0), ros-dashing-aws-ros2-common, ros-dashing-lex-common (>= 1.0.0), ros-dashing-lex-common-msgs, ros-dashing-rclcpp, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-lex-node
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-yaml, ros-dashing-aws-common (>= 2.0.0), ros-dashing-aws-ros2-common, ros-dashing-launch, ros-dashing-launch-ros, ros-dashing-lex-common (>= 1.0.0), ros-dashing-lex-common-msgs, ros-dashing-rclcpp, ros-dashing-ros-workspace
Description: Package providing a ROS node for interacting with Amazon Lex

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-lex-node//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
